local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Leatherworking(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Leatherworking")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)



-- Introduction

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Introduction:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Leatherworking, one profession that should be utilised more often. In this section we will be going over how we can make gold with this and also a few tip bits to increase our gold with this each and everyday.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


-- Leather To Better

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Leather to Better:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Starting off we will make our way into three ways to make and source materials for Leatherworking. One of the standard ways is to use the Skinning profession with Leatherworking as we can skin all of the leather we need to make the items we want to sell. However, this maybe good for profit and the scalability of this is harder, due to your time being required to source the materials you need which means more time has to be invested.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
   local desc = AceGUI:Create("Label")
  desc:SetText("The next option is to buy off of the Auction house. This is where we we can pay others for there time Skinning the leather we need for our crafts and we can use that to pocket the difference when crafting. The general theme of sourcing in this manor is too pick the materials up two to three days before a weekly reset to get the best price for materials and then selling our crafts after that time.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Whilst we are on the subject to sourcing materials Leatherworking has an special ability which it can turn some of the common and uncommon leathers into there higher value Leathers. This is also another way we can decrease the cost if calculated correctly before buying. This can also be attached with the vendor in Northrend Dalaran as he is able to exchange Borean Leather into Heavy Borean Leather as well as Arctic Fur which is quite a handy vendor flip for additional gold.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
-- Crafted Boes

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Crafted Boe's:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Now let us get into crafting, boe's for Leatherworking are single handedly one of the most profitable crafts you can do. At the beginning of an expansion crafted boe's such as Rare, Epic and even Legendary crafts are highly profitable. This is because farms are just becoming established for Skinning which means the price of leather is up and as such the crafted gear will go up in value. This is even better when the price of skins drop down as those farms become standard place and for a brief moment the boe gear will stay high, this is why you should always get into Leatherworking at the beginning of an expansion and should establish yourself within this area as soon as you can.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Not only this, but selling Leatherworking boe's is a good source of steady gold throughout an expansion and if kept up to date with either the latest crafts, highest item levels and ranks you should always be making gold from this profession. The highest earning of the boe gear is predominantly the Legendary based gear but if the expansion you are in does not provide crafted legendaries then it will drop to the highest Item level boe gear. This is providing the service of ready to raid gear which save players a lot of time with fresh alts. However, some players might not be able to drop a few hundred thousand gold of gear for there alts so it is always a good option to provide the lower based item level gear as well as the rare specced gear tend to sell rather fast due to there lower value but rest assured what the legendary gear has in profit potential the Rare based gear make up for in shear volume of sales so in this way you can win in both areas by crafting all Profitable boe gear for that expansion year round.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)    
  
 -- Utility Items

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Utility Items:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for Utility Items, Leatherworking provide an array of different items which can be used in Raiding, Open World Farming and General Aid. Many of these are established around the raiding and player vs player scene, such as the Drums which are a must for most players and these should always be one the auction house for sale even on Raid Night especially. Other different buffs that can be made are Armour kits, these will increase an armour increase which is purchased quite a fair amount and much like the Drums you will want to sell these also. However, these tend to have lower profit margins and you will need to win with volume when using these so it should not be uncommon to craft a hundred or so upon a weekly reset.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)   
  
   local desc = AceGUI:Create("Label")
  desc:SetText("Lastly is the Mount based utility items, such as the Riders Barding's. These are helpful items which help players in the open world. With these types of items the are mid way on the sales range of boe's and Drums. This means the you will need to make a fair amount of them but also remember that they may take longer to sell throughout your time of restocking and reselling items on the auction house so patience is a key factor when selling these.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)   

  local desc = AceGUI:Create("Label")
  desc:SetText("Additional items can be made through Leatherworking such as mounts, but these are soulbound which means only you and you alone can learn these but this is a nice way to add to your personal collection when doing your Leatherworking crafts.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)     
  
 --- Fluctuations

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Fluctuations:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Lastly we must talk about fluctuations in the market for this profession. This is because Leather can easily change in regards to it's price throughout an expansion and it is wise to bare this in mind when getting into this profession. This happens in most expansions as when newer farms come out either due to high stat players being able to solo harder content or even a new hyperspawn farm being found. We must take these prices into consideration and not put all of our eggs into one basket when it comes to this profession. Herbalism and Mining are quite steady when it comes to there price as it maintains it's value due to a steady route but with leather it can easily change if a hyperspawn farm is found where there is a higher influx of materials posted to the auction house which will result in the price dropping. However, you can take advantage of this because when this happens you will want to buy the cheap materials and hold as in most cases those types of farms get nerfed over the following week which in the long run you will have snagged yourself some cheap materials for profit. It's mainly knowing when something happens to make the best out of each situation with professions in general but with Leatherworking it is more easier to see.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)    
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  










end